> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update brokerage fee



## OpenAPI

````yaml /openapi.json patch /brokerage-fees/{brokerageFeeId}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-fees/{brokerageFeeId}:
    patch:
      tags:
        - brokerage-firms
      summary: Update brokerage fee
      operationId: BrokerageFeeController_updateBrokerageFee
      parameters:
        - name: brokerageFeeId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBrokerageFeeBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateBrokerageFeeOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/BrokerageFeeNotFoundErrorDto'
              examples:
                BROKERAGE_FEE_NOT_FOUND:
                  $ref: '#/components/schemas/BrokerageFeeNotFoundErrorDto'
          description: ''
components:
  schemas:
    UpdateBrokerageFeeBody:
      type: object
      properties:
        minCommission:
          type: number
          description: Min commission fee percentage
          maximum: 100
          minimum: 0
        maxCommission:
          type: number
          description: Max commission fee percentage
          maximum: 100
          minimum: 0
        defaultCommission:
          type: number
          description: Default commission fee percentage
          maximum: 100
          minimum: 0
        minCommissionLimit:
          type: number
          description: Min commission fee percentage limit
          maximum: 100
          minimum: 0
        maxCommissionLimit:
          type: number
          description: Max commission fee percentage limit
          maximum: 100
          minimum: 0
        minTotalCommission:
          type: number
          description: Min total commission fee percentage
          maximum: 100
          minimum: 0
        maxTotalCommission:
          type: number
          description: Max total commission fee percentage
          maximum: 100
          minimum: 0
        minManagementFee:
          type: number
          description: Min management fee amount in cents
          minimum: 0
        maxManagementFee:
          type: number
          description: Max management fee amount in cents
          minimum: 0
    UpdateBrokerageFeeOutput:
      type: object
      properties: {}
    BrokerageFeeNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - BROKERAGE_FEE_NOT_FOUND
        message:
          type: string
          example: Brokerage fee {id} not found
        details:
          $ref: '#/components/schemas/BrokerageFeeNotFoundDto'
      required:
        - code
        - message
        - details
    BrokerageFeeNotFoundDto:
      type: object
      properties:
        id:
          type: string
      required:
        - id

````